Summary: A library for parsing Embedded OpenType font files
Name: libeot
Version: 0.01
Release: 4%{?dist}

License: MPL-2.0
URL: https://github.com/umanwizard/libeot
Source0: http://dev-www.libreoffice.org/src/%{name}-%{version}.tar.bz2

BuildRequires: gcc make

%description
%{name} is a library for parsing Embedded OpenType files (Microsoft
embedded font "standard") and converting them to other formats.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package tools
Summary: Tools to transform EOT font files into other formats
Requires: %{name} = %{version}-%{release}

%description tools
Tools to transform EOT font files into other formats. Only TTF is
supported currently.

%prep
%autosetup -p1

%build
%configure --disable-silent-rules --disable-static
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make_build

%install
%make_install
rm -f %{buildroot}/%{_libdir}/*.la


%files
%license LICENSE
%doc PATENTS
%{_libdir}/%{name}.so.*

%files devel
%{_includedir}/%{name}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files tools
%{_bindir}/eot2ttf

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.01-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.01-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.01-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 09 2023 cunshunxia <cunshunxia@tencent.com> - 0.01-1
- initial build
